Description

JCIMClean Found 23 enumeration classes with bad name: name should not contain 'type' and/or 'enum’, and should end with 'Kind' -
rename the enumeration class

Proposed Solution

These are all the enumeration stereotype. CoolantType and FuelType names need to be changed. Should kind be added as
recommended?

Decision

TF13 call 18 Oct 2023.
Agreed to close jCleanCim issues as they are old. New issues for CIM18 will be opened in case there is a need to discuss/fix.

History

#1 - 11/23/2021 05:25 PM - Eric Stephan

- Priority changed from Normal to Low

#2 - 10/20/2023 01:19 PM - Chavdar lvanov
- Status changed from Open to In Progress
- Completion Date set to 10/20/2023

- Decision updated

#3 - 10/20/2023 01:20 PM - Chavdar lvanov

- Status changed from In Progress to Closed
